Bug 685 - urpm-reposync not working with a local repositories
: urpm-reposync not working with a local repositories
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Marathon
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-20 17:10 MSD by Sergey A. Sokolov
Modified: 2012-09-14 13:08 MSD (History)
4 users (show)

See Also:
RPM Package: urpm-tools
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments
errors (303.22 KB, image/png)
2012-08-28 18:12 MSD, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sergey A. Sokolov 2012-08-20 17:10:45 MSD
Description of problem:

I want  remove in my system all a packages if their not found in official repositories. I use actuality  the local repositories.


# urpmq  --list-url
main /home/media/rosa/rosa2012lts/repository/x86_64/media/main/release
main updates /home/media/rosa/rosa2012lts/repository/x86_64/media/main/updates
contrib /home/media/rosa/rosa2012lts/repository/x86_64/media/contrib/release
contrib updates /home/media/rosa/rosa2012lts/repository/x86_64/media/contrib/updates
non-free /home/media/rosa/rosa2012lts/repository/x86_64/media/non-free/release
non-free updates /home/media/rosa/rosa2012lts/repository/x86_64/media/non-free/updates
restricted /home/media/rosa/rosa2012lts/repository/x86_64/media/restricted/release
restricted updates /home/media/rosa/rosa2012lts/repository/x86_64/media/restricted/updates

# urpm-reposync -k -r 
Загрузка списка установленных пакетов...
Обработка источника main...
Traceback (most recent call last):
  File "/usr/bin/urpm-reposync", line 1206, in <module>
    Main()
  File "/usr/bin/urpm-reposync", line 1046, in Main
    repository.load_from_repository()
  File "/usr/bin/urpm-reposync", line 413, in load_from_repository
    output = res.communicate(s)
UnboundLocalError: local variable 's' referenced before assignment

If use remote repos then all ok.
Comment 1 Anton Kirilenko 2012-08-21 12:03:07 MSD
I've found where the problem is. It will be fixed soon.
Comment 2 Anton Kirilenko 2012-08-21 17:18:07 MSD
Problem have been fixed.

advisory: Fixed bug #685. Reposync can now work with local repositories correctly.


How to test: create local repository, add it as a source medium, run urpm-reposync.

i586:    https://abf.rosalinux.ru/build_lists/687668
x86_64:  https://abf.rosalinux.ru/build_lists/687669
Comment 3 Vladimir Potapov 2012-08-28 18:12:01 MSD
Created attachment 510 [details]
errors

The error is not fixed (see screenshot)
Comment 4 Anton Kirilenko 2012-08-28 19:07:03 MSD
Vladimir Potapov, I can't reproduce this bug (works fine for me). Please, provide the detailed information about it. (Output of "urpmq --list-media active --list-url" and "ll  /var/lib/urpmi/1/synthesis.hdlist.cz").
What have you done between the first and the second "urpm-reposync -k -r" command execution?
Comment 5 Vladimir Potapov 2012-08-29 05:51:33 MSD
I updated urpm-tools by GUI beetween first and the second "urpm-reposync -k -r" command.
Repo configuration is standard + local repo (/home/1). 
Repository "1" contains one copy of the repository 
https://abf.rosalinux.ru/build_lists/687669
I update from this local repository, the update was successful
Comment 6 Anton Kirilenko 2012-08-29 11:17:36 MSD
I've done the same right now... works fine :(
The only reason I can imagine - incorrect (or unexpected) output of "urpmq --list-media active --list-url". Please, provide the line with '1' medium from this output.
Comment 7 Sergey A. Sokolov 2012-09-08 18:44:04 MSD
Really the error fixed.

# rpm -qa | grep urpm-tools
urpm-tools-2.1-1-rosa.lts2012.0.noarch

# urpmq --list-media active --list-url
main /home/media/rosa/rosa2012lts/repository/x86_64/media/main/release
main updates /home/media/rosa/rosa2012lts/repository/x86_64/media/main/updates
contrib /home/media/rosa/rosa2012lts/repository/x86_64/media/contrib/release
contrib updates /home/media/rosa/rosa2012lts/repository/x86_64/media/contrib/updates
non-free /home/media/rosa/rosa2012lts/repository/x86_64/media/non-free/release
non-free updates /home/media/rosa/rosa2012lts/repository/x86_64/media/non-free/updates
restricted /home/media/rosa/rosa2012lts/repository/x86_64/media/restricted/release
restricted updates /home/media/rosa/rosa2012lts/repository/x86_64/media/restricted/updates

# urpm-reposync -k
Загрузка списка установленных пакетов...
Обработка источника main...
Обработка источника main updates...
Обработка источника contrib...
Обработка источника contrib updates...
Обработка источника non-free...
Обработка источника non-free updates...
Обработка источника restricted...
Обработка источника restricted updates...
...
Comment 8 Vladimir Potapov 2012-09-10 14:24:34 MSD
Add ? to flag qa_verified for check, please!
Comment 9 Denis Silakov 2012-09-10 15:28:54 MSD
advisory: Fixed bug #685. Reposync can now work with local repositories correctly.


How to test: create local repository, add it as a source medium, run urpm-reposync.

i586:    https://abf.rosalinux.ru/build_lists/687668
x86_64:  https://abf.rosalinux.ru/build_lists/687669
Comment 10 Vladimir Potapov 2012-09-11 15:47:47 MSD
[root@Marathon keleg]# urpmi urpm-tools


устанавливается urpm-tools-2.1-1-rosa.lts2012.0.noarch.rpm из /home/keleg/1
Подготовка...                    ####################################################################################################################
      1/1: urpm-tools            ####################################################################################################################
[root@Marathon keleg]# urpmq --list-media active --list-url
rpm-tools file://home/keleg/1
main (LTS2012.0-1) http://mirror.yandex.ru/rosa/rosa2012lts/repository/i586/media/main/release
main updates (LTS2012.0-2) http://mirror.yandex.ru/rosa/rosa2012lts/repository/i586/media/main/updates
non-free (LTS2012.0-5) http://mirror.yandex.ru/rosa/rosa2012lts/repository/i586/media/non-free/release
non-free updates (LTS2012.0-6) http://mirror.yandex.ru/rosa/rosa2012lts/repository/i586/media/non-free/updates
restricted (LTS2012.0-7) http://mirror.yandex.ru/rosa/rosa2012lts/repository/i586/media/restricted/release
restricted updates (LTS2012.0-8) http://mirror.yandex.ru/rosa/rosa2012lts/repository/i586/media/restricted/updates
[root@Marathon keleg]# urpm-reposync -k
Загрузка списка установленных пакетов...
Traceback (most recent call last):
  File "/usr/bin/urpm-reposync", line 1223, in <module>
    Main()
  File "/usr/bin/urpm-reposync", line 1063, in Main
    repository.load_from_repository()
  File "/usr/bin/urpm-reposync", line 377, in load_from_repository
    synth = get_synthesis_by_url(url)
  File "/usr/bin/urpm-reposync", line 369, in get_synthesis_by_url
    medium = ms.by_url[url]
KeyError: '/home/keleg/1'
Comment 11 Vladimir Potapov 2012-09-11 15:52:43 MSD
O!
I add local source form GUI. (file-add user source) 
In my case the address contains "file://", in you  case this substring is not present.
Comment 12 Anton Kirilenko 2012-09-11 15:57:55 MSD
Got it!
You are right, it will be fixed soon. Thank you.
Comment 13 Anton Kirilenko 2012-09-12 11:43:43 MSD
advisory: Fixed bug #685. Reposync can now work with local repositories correctly.


How to test: create local repository, add it as a source medium, run urpm-reposync.

i586:    https://abf.rosalinux.ru/build_lists/715502
x86_64:  https://abf.rosalinux.ru/build_lists/715503


(The last problem have been fixed.)
Comment 14 Vladimir Potapov 2012-09-12 12:53:15 MSD
:-( 

urpm-reposync -k
Загрузка списка установленных пакетов...
Traceback (most recent call last):
  File "/usr/bin/urpm-reposync", line 1223, in <module>
    Main()
  File "/usr/bin/urpm-reposync", line 1063, in Main
    repository.load_from_repository()
  File "/usr/bin/urpm-reposync", line 377, in load_from_repository
    synth = get_synthesis_by_url(url)
  File "/usr/bin/urpm-reposync", line 369, in get_synthesis_by_url
    medium = ms.by_url[url]
KeyError: '/home/keleg/1'
Comment 15 Anton Kirilenko 2012-09-12 13:03:40 MSD
advisory: Fixed bug #685. Reposync can now work with local repositories correctly.


How to test: create local repository, add it as a source medium, run urpm-reposync.

i586:    https://abf.rosalinux.ru/build_lists/715549
x86_64:  https://abf.rosalinux.ru/build_lists/715550


I didn't push the last commit to server, sorry. It SHOULD work this time! ))
Comment 16 Vladimir Potapov 2012-09-12 14:40:34 MSD
urpm-tools-2.1-2-rosa.lts2012.0
****************** Advisory ******************
Fixed bug #685. Reposync can now work with local repositories correctly.
**********************************************
QA Verify